RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

推档案建号(第三方)

POST
/v1/games/{game}/profiles

调用方自己拿到玩家身份字段后直接填字段建号:服务端不拉上游、不存凭据。可选地同时带一批成绩;chunithm/orzmic 会静默忽略 scores。

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"

Request Body

application/json
  1. body
player*

玩家字段(超集:字段按游戏生效,不适用的被忽略)。name 可由 native 提供;身份字段缺失 ⇒ 400

scores?array<>

建档时一并写入的成绩(同推成绩结构);chunithm/orzmic 静默忽略

Itemsitems <= 2000
idempotencyKey?string

幂等键(用户+应用作用域);重复提交返回同一张档案

Lengthlength <= 128

Response Body

建档成功(返回一张档案)

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X POST 'https://api.rankhub.cc/v1/games/maimai/profiles' \  -H 'Content-Type: application/json' \  -d '{  "player": {}}'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",    "game": "maimai",    "player": {      "name": "string",      "rating": 0,      "native": {}    },    "isPublic": true,    "origin": "user",    "createdByClientId": "string",    "syncCapable": true,    "lastSyncedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "requestId": "string"}